Skip to main content
PUT
Update element

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
integer
required

The ID of the project.

id
integer
required

The ID of the element.

Body

application/json
element_identifier
string
Maximum string length: 255
Example:

"b"

type_id
string
Example:

"architecto"

name
string
Maximum string length: 255
Example:

"n"

description
string
Example:

"Eius et animi quos velit et."

objective
string
Example:

"architecto"

status
enum<string>
Available options:
In Progress,
Falling Behind,
At Risk,
Completed
Example:

"Completed"

order
integer
Required range: x >= 0
Example:

39

x_value
number
Example:

4326.41688

y_value
number
Example:

4326.41688

parent_ids
string[]

Response

Element updated

The response is of type object.